function btt=pistonlawtt(f)
% PISTONLAWTT.M - describes piston motion: btt(t)
% A SHOCK FITTING PRIMER - CHAPTER 4, "Piston Driven Flows".
% Piston motion routine, second derivative, f=time
%
% Copyright 2005-2008 M.D.Salas.
%
global INIT

switch (INIT)
    case 1
        btt=6*f;
    case {12, 14, 15, 16}
        btt=pi^2*cos(pi*f/2)/16;
        if f > 2
            btt=0;
        end
    otherwise
        btt=0;
end