% sw_display
% plots geometry
%
% Copyright (c) 2005 - 2009 by M.D.Salas
%
clear xp yp zp

global ma mc mcm mcp m zlast h2 k 
global cone pio2 dy dz zn sinthe costhe bn

% define gindex if runned by itself
% gindex=2;

ma=20;
mc=ma+2;
mcm=mc-1;
mcp=mc+1;
dy=pi/ma;
pio2=pi/2.;
for m=1:mcp
    y(m)=dy*(m-2);
    costhe(m)=sin(y(m));
    sinthe(m)=-cos(y(m));
end

sw_geom(0); % call geometry to get geometric parameters
zn=0.;
% define zlast for plot
 zlast=20;

dz=1;
k=0;
cone=10*pi/180;
zstar=-1/tan(cone);
zn=zstar+.1;
while zn <= zlast
    k=k+1;
    sw_geom(1); % call geometry to get shape
    for m=2:mc
        mm=m-1;
        yp(k,mm)=(bn(m)-h2/bn(m))*sinthe(m);
        xp(k,mm)=(bn(m)+h2/bn(m))*costhe(m);
        zp(k,mm)=zn;
    end
    zn=zn+dz;
end

surf(zp,-xp,yp);
shading interp
axis equal



