% sw_output
%
%
% Copyright (c) 2005 - 2009 by M.D.Salas
%

global nc mc m gamma s u v t xx yy z k nfig

nfig=nfig+1;
figure(nfig);
for m=2:mc
    xplot(m-1)=xx(1,m);
    yplot(m-1)=yy(1,m);
end
plot(xplot,yplot,'k-');
title(['cross flow Mach contours z=', num2str(z)])
axis equal;
hold on
for m=2:mc
    xplot(m-1)=xx(nc,m);
    yplot(m-1)=yy(nc,m);
end
plot(xplot,yplot,'k-',0.,0.,'k+')
xlabel('x')
ylabel('y')
for n=1:nc
    for m=2:mc
        q2=u(n,m)^2+v(n,m)^2;
        mplot(n,m-1)=sqrt(q2/(gamma*t(n,m)));
        eplot(n,m-1)=s(n,m);
        xxp(n,m-1)=xx(n,m);
        yyp(n,m-1)=yy(n,m);
    end;
end
%val1=[.1,.2,.3,.4,.5,.6,.7,.8,.9];
[ccon,hcon]=contour(xxp,yyp,mplot,'k');
clabel(ccon,hcon);
contour(xxp,yyp,mplot,[1,1],'k--');
mid=round(mc/2);
text(xx(nc,mid)+.5,yy(nc,mc)-.4,num2str(k));
text(-.5,-.7,num2str(z));
%colorbar;
hold off

% nfig=nfig+1; %entropy
% figure(nfig);
% for m=2:mc
%     xplot(m-1)=xx(1,m);
%     yplot(m-1)=yy(1,m);
% end
% plot(xplot,yplot,'k-');
% xlabel('x')
% ylabel('y')
% axis equal
% hold on
% for m=2:mc
%     xplot(m-1)=xx(nc,m);
%     yplot(m-1)=yy(nc,m);
% end
% plot(xplot,yplot,'k-',0.,0.,'k+')
% title(['entropy z=', num2str(z)])
% %vale=[.00005,.0001,.00137,.00145];
% [ccone,hcone]=contour(xxp,yyp,eplot,'k-');
% clabel(ccone,hcone);
% %colorbar;
% hold off

% fac=.5*gamma*mach^2*sin(cone)^2;
% ptable=fac*[51.4859,51.4536,51.3789,51.1762,50.7274,50.3058,49.9210,...
%     49.5642,49.2246,48.8884,48.5374,48.1328,47.0350];
% xtable=[0.,.025,.05,.1,.2,.3,.4,.5,.6,.7,.8,.9,1];
% nfig=nfig+1;
% figure(nfig);
% plot(xtable,ptable,'ko');
% hold on;
% grid on;
%for m=2:mc;
m=2;
zz=z+1/tan(cone);
for n=1:nc;
    th=atan(yy(n,m)/zz);
    vcbot(n)=(cos(th)*v(n,m)-sin(th)*w(n,m))/gf; % radial vel.
    tbot(n)=t(n,m);
    pbot1(n)=exp(p(n,m));
    wbot(n)=w(n,m)/gf;
    vbot(n)=v(n,m)/gf;
end;

nfig=nfig+1;
figure(nfig);
plot(x,vcbot,'ko');
title(['v-radial/ainf, z=', num2str(z)]);
xlabel('X')
legend('m=2');

nfig=nfig+1;
figure(nfig);
plot(x,tbot,'ko');
xlabel('X')
title(['temperature, z=', num2str(z)]);
legend('m=2');

plot(x,pbot1,'k-');
title(['pressure, z=', num2str(z)]);
xlabel('X')
%legend('computed','tables');
%end;

nfig=nfig+1;
figure(nfig);
plot(x,wbot,'ko');
xlabel('X')
title(['w/ainf, z=', num2str(z)]);
legend('m=2');

nfig=nfig+1;
figure(nfig);
plot(x,vbot,'ko');
xlabel('X')
title(['v/ainf, z=', num2str(z)]);
legend('m=2');

